DeploymentConfiguration.ConfigType (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.config.DeploymentConfiguration.ConfigType class
Date: 2021-05-10

net.sourceforge.jnlp.config

## Enum DeploymentConfiguration.ConfigType

- java.lang.Object
- - java.lang.Enum<DeploymentConfiguration.ConfigType>
  - - net.sourceforge.jnlp.config.DeploymentConfiguration.ConfigType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DeploymentConfiguration.ConfigType>
  Enclosing class:
    DeploymentConfiguration

      public static enum DeploymentConfiguration.ConfigType
      extends java.lang.Enum<DeploymentConfiguration.ConfigType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `System`
    `User`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeploymentConfiguration.ConfigType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeploymentConfiguration.ConfigType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### System

          public static final DeploymentConfiguration.ConfigType System

    - #### User

          public static final DeploymentConfiguration.ConfigType User

  - ### Method Detail

    - #### values

          public static DeploymentConfiguration.ConfigType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeploymentConfiguration.ConfigType c : DeploymentConfiguration.ConfigType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeploymentConfiguration.ConfigType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Submit a bug or feature